package com.mangst.sat;

public enum Operator
{
  AND('&'), OR('|'), NOT('!'), LPAREN('('), RPAREN(')');

  private char symbol;

  private Operator( char symbol )
  {
    this.symbol = symbol;
  }

  public char getSymbol()
  {
    return symbol;
  }

  @Override
  public String toString()
  {
    return Character.toString( symbol );
  }
}
